Bug 1657046

Summary: audacious needs a rebuild in EPEL-7
Product: [Fedora] Fedora EPEL Reporter: Stephen John Smoogen <smooge>
Component: audaciousAssignee: Robert Scheck <redhat-bugzilla>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: epel7CC: bugs.michael, malkodan, redhat-bugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: audacious-3.10-1.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-01-01 00:39:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Stephen John Smoogen 2018-12-06 22:43:38 UTC
Description of problem:

Audacious was built against an older version of Cairo and seems to need a rebuild with the newer version that is in RHEL-7.6. Currently users are seeing:

[microlinux@bernadette:~] $ rpm -qa | grep audacious
audacious-3.9-1.el7.x86_64
audacious-libs-3.9-1.el7.x86_64
audacious-plugins-3.9-1.el7.x86_64
[microlinux@bernadette:~] $ audacious
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/Effect/ladspa.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/General/skins.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/General/statusicon.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/General/alarm.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/General/delete-files.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/General/notify.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/General/gtkui.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/General/hotkey.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/General/gnomeshortcuts.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/General/playlist-manager.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/General/search-tool.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/General/albumart.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/General/aosd.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/General/lyricwiki.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/Visualization/blur_scope.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/Visualization/cairo-spectrum.so could not be
loaded: /lib64/libcairo.so.2: undefined symbol:
FT_Get_Var_Design_Coordinates
ERROR plugin-load.cc:72 [plugin_load]:
/usr/lib64/audacious/Visualization/gl-spectrum.so could not be loaded:
/lib64/libcairo.so.2: undefined symbol: FT_Get_Var_Design_Coordinates
ERROR plugin-init.cc:147 [start_required]: No interface plugin found.
(Did you forget to install audacious-plugins?

Version-Release number of selected component (if applicable):

audacious-3.9-1.el7.x86_64.rpm

Probably needs a bump to the version which works with a later GNOME.

Comment 1 Fedora Update System 2018-12-17 04:13:09 UTC
audacious-3.10-1.el7, audacious-plugins-3.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8addce1938

Comment 2 Fedora Update System 2019-01-01 00:39:32 UTC
audacious-3.10-1.el7, audacious-plugins-3.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.